import URI from '@vscode/base-node/vs/base/common/uri';
export declare enum FileOperation {
    CREATE = 0,
    DELETE = 1,
    MOVE = 2,
    COPY = 3,
    IMPORT = 4
}
export declare enum FileChangeType {
    UPDATED = 0,
    ADDED = 1,
    DELETED = 2
}
export interface IFileChange {
    type: FileChangeType;
    resource: URI;
}
export interface ICoreBaseStat {
    resource: URI | string;
    name?: string;
    title?: string;
    mtime?: number;
    etag?: string;
    size?: number;
}
export interface ICoreFileStat extends ICoreBaseStat {
    isDirectory: boolean;
    hasChildren: boolean;
    children?: ICoreFileStat[];
}
export interface IFileOperationResult {
    message: string;
    fileOperationResult: FileOperationResult;
}
export declare enum FileOperationResult {
    FILE_IS_BINARY = 0,
    FILE_IS_DIRECTORY = 1,
    FILE_NOT_FOUND = 2,
    FILE_NOT_MODIFIED_SINCE = 3,
    FILE_MODIFIED_SINCE = 4,
    FILE_MOVE_CONFLICT = 5,
    FILE_READ_ONLY = 6,
    FILE_TOO_LARGE = 7,
    FILE_INVALID_PATH = 8
}
